Множественные уязвимости в Textpattern

Дата публикации:
05.02.2008
Всего просмотров:
2908
Опасность:
Низкая
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-5670
CVE-2008-5757
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Textpattern 4.x
Уязвимые версии: Textpattern 4.0.5, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в сценарии textpattern/index.php. Удаленный пользователь может с помощью специально сформированного запроса просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости требуются привилегии редактора.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "Body" в сценарии textarea/index.php (когда параметр "event" установлен в значение "article"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости требуются привилегии редактора.

3. Уязвимость существует из-за недостаточной обработки входных данных в функционале предварительного просмотра комментариев. Удаленный пользователь может с помощью специально сформированного комментария выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.textpattern.com

Решение: Установите последнюю версию 4.0.6 с сайта производителя. Способов устранения уязвимости #2 не существует в настоящее время.

или введите имя

CAPTCHA